Summary: SELinux Translation library
Name: libsetrans
Version: 0.1.20
Release: 1.fc5
License: LGPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libselinux-devel 

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

libsetrans provides an translation library to translate SELinux categories 
from internal representations to user defined representation.

%prep
%setup -q

%build
make clean
make CFLAGS="-g %{optflags}"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_lib} 
mkdir -p ${RPM_BUILD_ROOT}/%{_libdir} 
make DESTDIR="${RPM_BUILD_ROOT}" LIBDIR="${RPM_BUILD_ROOT}%{_libdir}" SHLIBDIR="${RPM_BUILD_ROOT}/%{_lib}" install
rm -f ${RPM_BUILD_ROOT}%{_sbindir}/*
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.a

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
/%{_lib}/libsetrans.so.0
/%{_libdir}/libsetrans.so
%{_mandir}/man8/mcs.8.gz

%changelog
* Thu Mar 23 2006 Dan Walsh <dwalsh@redhat.com> 0.1.20-1.fc5
- Bump for FC5

* Mon Mar 13 2006 Dan Walsh <dwalsh@redhat.com> 0.1.20-1
- Fix handling of untranslated sensitivities

* Mon Mar 13 2006 Dan Walsh <dwalsh@redhat.com> 0.1.19-1
- Fix segfault error on badly formated setrans file

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.1.18-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.1.18-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 11 2006 Dan Walsh <dwalsh@redhat.com> 0.1.18-1
- Return original context on translation failure 

* Wed Jan 11 2006 Dan Walsh <dwalsh@redhat.com> 0.1.17-1
- Fix range translations

* Wed Jan 11 2006 Dan Walsh <dwalsh@redhat.com> 0.1.16-1
- Fix memory corruption error

* Wed Jan 4 2006 Dan Walsh <dwalsh@redhat.com> 0.1.15-1
- Eliminate a couple of checks after strdupa, fix return on all paths

* Tue Jan 3 2006 Dan Walsh <dwalsh@redhat.com> 0.1.14-1
- Fix untranslate of ""->s0

* Mon Jan 2 2006 Dan Walsh <dwalsh@redhat.com> 0.1.13-1
- Apply some of Uli fixes and Russell patch to improve performance

* Thu Dec 29 2005 Dan Walsh <dwalsh@redhat.com> 0.1.12-1
- Add handling of ranges s0:c1-s0:c255
- Add handling of contiguous categories  s0:c1.c5
- Also translate as much content as library  can, and return untranslated when 
- library can not.  Old library would not translate any categories if one 
- failed to translate.

* Mon Dec 12 2005 Jeremy Katz <katzj@redhat.com> - 0.1.11-3
- there should really be a 'make dist' target that ensures that things are 
  cleaned before a dist tarball is created.  add a 'make clean' to the build
  just to make sure we don't get hit by this in the future

* Fri Dec 9 2005 Dan Walsh <dwalsh@redhat.com> 0.1.11-1
- Rebuild for libc.so.6 problems

* Wed Dec 7 2005 Dan Walsh <dwalsh@redhat.com> 0.1.11-1
- Move chcat to policycoreutils

* Wed Dec 7 2005 Dan Walsh <dwalsh@redhat.com> 0.1.10-1
- Fix handling of "" translation

* Fri Dec 2 2005 Dan Walsh <dwalsh@redhat.com> 0.1.9-1
- Handle multiple translations

* Tue Oct 25 2005 Dan Walsh <dwalsh@redhat.com> 0.1.8-1
- Add MLS Policy handling

* Fri Oct 14 2005 Dan Walsh <dwalsh@redhat.com> 0.1.7-2
- Change SystemHigh to match the higher level of Categories.

* Tue Sep 20 2005 Dan Walsh <dwalsh@redhat.com> 0.1.7-1
- Add chcat

* Tue Sep 20 2005 Dan Walsh <dwalsh@redhat.com> 0.1.6-2
- Fix tarball

* Mon Sep 19 2005 Dan Walsh <dwalsh@redhat.com> 0.1.6-1
- Fix memory problem

* Tue Sep 14 2005 Dan Walsh <dwalsh@redhat.com> 0.1.5-1
- Disable if not mls enabled

* Tue Sep 13 2005 Dan Walsh <dwalsh@redhat.com> 0.1.4-3
- Back to original mechanism

* Mon Sep 12 2005 Dan Walsh <dwalsh@redhat.com> 0.1.4-3
- mv libraries to /lib/selinux/TYPE/libsetrans.so.0

* Thu Sep 8 2005 Dan Walsh <dwalsh@redhat.com> 0.1.4-1
- Change secat.conf to mcs.conf
- Add initial man page

* Wed Sep 7 2005 Dan Walsh <dwalsh@redhat.com> 0.1.3-1
- Fix memory problems
- Eliminate s0 hacking
- Fix disable flag

* Fri Aug 5 2005 Dan Walsh <dwalsh@redhat.com> 0.1.0-1
- Initial Version
